"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createKit_Echo = void 0;
function createKit_Echo(ce) {
    const echoFn = Object.assign(function (...args) {
        ce.reporter.echo(...args);
    }, {
        debug: (...args) => ce.reporter.debug(...args),
        info: (...args) => ce.reporter.info(...args),
        warn: (...args) => ce.reporter.warn(...args),
        echo: (...args) => ce.reporter.echo(...args),
        note: (...args) => ce.reporter.note(...args),
        success: (...args) => ce.reporter.success(...args),
        fail: (...args) => ce.reporter.fail(...args),
        error: (...args) => ce.reporter.error(...args),
        fatal: (...args) => ce.reporter.fatal(...args)
    });
    return {
        echo: echoFn
    };
}
exports.createKit_Echo = createKit_Echo;
